Start registering a passkey
curl --request POST \
--url https://api.glassmarkets.io/v1/user/passkeys/options/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"code": "<string>"
}
'import requests
url = "https://api.glassmarkets.io/v1/user/passkeys/options/"
payload = {
"password": "<string>",
"code": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>', code: '<string>'})
};
fetch('https://api.glassmarkets.io/v1/user/passkeys/options/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ceremony_id": "<string>",
"public_key": "<unknown>"
}Account
Start registering a passkey
Returns the WebAuthn options for registering a new passkey. Needs your password, and your authentication code when two-factor authentication is on. Finish with POST /v1/user/passkeys/.
Start registering a passkey
curl --request POST \
--url https://api.glassmarkets.io/v1/user/passkeys/options/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"code": "<string>"
}
'import requests
url = "https://api.glassmarkets.io/v1/user/passkeys/options/"
payload = {
"password": "<string>",
"code": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>', code: '<string>'})
};
fetch('https://api.glassmarkets.io/v1/user/passkeys/options/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ceremony_id": "<string>",
"public_key": "<unknown>"
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data

